[Various] Deprecated: Use of wfMsg* was deprecated in MediaWiki 1.18 (notices in 1.21)
Closed, ResolvedPublic

Description

NOTE: the functions will be removed in MediaWiki 1.27. https://gerrit.wikimedia.org/r/#/c/262333/

Some poor extensions are so neglected by their parents that still have some of the ugliest wfMsg* stuff which was deprecated in 1.18, notices were added in 1.21. Realistically it will be done all at once by a few persons rather than their maintainers, so one bug will hopefully suffice.

https://www.mediawiki.org/wiki/Manual:Messages_API#Deprecated_wfMsg.2A_functions

1 Deprecated: Use of wfMsgReal was deprecated in MediaWiki 1.21. [Called from wfMsg in /srv/vagrant/mediawiki/includes/GlobalFunctions.php at line 1498] in /srv/vagrant/mediawiki/includes/debug/MWDebug.php on line 303
1 Deprecated: Use of wfMsgReal was deprecated in MediaWiki 1.21. [Called from wfMsgForContent in /srv/vagrant/mediawiki/includes/GlobalFunctions.php at line 1554] in /srv/vagrant/mediawiki/includes/debug/MWDebug.php on line 303
1 Deprecated: Use of wfMsgHtml was deprecated in MediaWiki 1.21. [Called from JSBreadCrumbsHooks::addPreferences in /srv/vagrant/mediawiki/extensions/JSBreadCrumbs/JSBreadCrumbs.hooks.php at line 73] in /srv/vagrant/mediawiki/includes/debug/MWDebug.php on line 303
1 Deprecated: Use of wfMsgForContent was deprecated in MediaWiki 1.21. [Called from wfWhitelistPages in /srv/vagrant/mediawiki/extensions/WhitelistPages/WhitelistPages.php at line 35] in /srv/vagrant/mediawiki/includes/debug/MWDebug.php on line 303
1 Deprecated: Use of wfMsgForContent was deprecated in MediaWiki 1.21. [Called from BlogHooks::updateCreatedOpinionsCount in /srv/vagrant/mediawiki/extensions/BlogPage/BlogHooks.php at line 110] in /srv/vagrant/mediawiki/includes/debug/MWDebug.php on line 303
1 Deprecated: Use of wfMsgForContentNoTrans was deprecated in MediaWiki 1.21. [Called from OnlineStatus::GetPreferences in /srv/vagrant/mediawiki/extensions/OnlineStatus/OnlineStatus.body.php at line 170] in /srv/vagrant/mediawiki/includes/debug/MWDebug.php on line 303
1 Deprecated: Use of wfEmptyMsg was deprecated in MediaWiki 1.21. [Called from wfWhitelistPages in /srv/vagrant/mediawiki/extensions/WhitelistPages/WhitelistPages.php at line 38] in /srv/vagrant/mediawiki/includes/debug/MWDebug.php on line 303
1 Deprecated: Use of wfEmptyMsg was deprecated in MediaWiki 1.21. [Called from BookManagerNavBar::CatByPrefix in /srv/vagrant/mediawiki/extensions/BookManager/BookManager.body.php at line 365] in /srv/vagrant/mediawiki/includes/debug/MWDebug.php on line 303

Ugh, but there's much more. First the most useless/ugly:

$ ack-grep --php "(wfMsgGetKey|wfEmptyMsg|wfMsgReal)"
Reflect/server/api/ApiReflectAction.php
367:		$msg = wfMsgReal( $msgType, $bodyParams, true, $wgLanguageCode, true );
368:		$subject = wfMsgReal( $msgType . '-subject', $subjectParams,

Maps/includes/parserhooks/Maps_MapsDoc.php
109:		return wfMsgReal( $key, $args, true, $this->language );
core/includes/GlobalFunctions.php
1489:   return wfMsgReal( $key, $args );
1505:   return wfMsgReal( $key, $args, true, false, false );
1545:   return wfMsgReal( $key, $args, true, $forcontent );
1568:   return wfMsgReal( $key, $args, true, $forcontent, false );
1583:function wfMsgReal( $key, $args, $useDB = true, $forContent = false, $transform = true ) {
1586:   $message = wfMsgGetKey( $key, $useDB, $forContent, $transform );
1603:function wfMsgGetKey( $key, $useDB = true, $langCode = false, $transform = true ) {
1664:   return wfMsgReplaceArgs( htmlspecialchars( wfMsgGetKey( $key ) ), $args );
1686:           MessageCache::singleton()->parse( wfMsgGetKey( $key ), null,
1748:   $string = wfMsgGetKey( $key, /*DB*/true, $langCode, /*Transform*/false );
1793:function wfEmptyMsg( $key ) {


And more! I hoped for this not to become a tracking bug but it may be forced to unless someone goes on a crusade against them. :)

florianschmidtwelzow@tools-bastion-01:/shared/mediawiki$ ack-grep --php "wfMsg(Html|ForContent|ForContentNoTrans|Ext)"
extensions/MassEditRegex/MassEditRegex.special.php
184:                                    wfMsgHtml( 'masseditregex-view-full-summary' )
355:                            wfMsgExt( 'summary-preview', 'parseinline' ) .

extensions/InterwikiIntegration/InterwikiIntegrationChangesList.php
75:                             $this->message[$msg] = wfMsgExt( $msg, array( 'escapenoentities' ) );
113:                            $messages[$msg] = wfMsgExt( $msg, 'escapenoentities' );
137:            return wfMsgExt( "recentchanges-legend-$key", array( 'escapenoentities',
165:                    wfMsgExt( 'recentchanges-label-legend', 'parseinline',
201:                    $formatedSize = wfMsgExt( 'rc-change-size', array( 'parsemag', 'escape' ), $formatedSize );
377:               $s .= ' <span class="history-deleted">' . wfMsgHtml( 'rev-deleted-user' ) . '</span>';
388:                            $s .= ' <span class="history-deleted">' . wfMsgHtml( 'rev-deleted-event' ) . '</span>';
400:                            $s .= ' <span class="history-deleted">' . wfMsgHtml( 'rev-deleted-comment' ) . '</span>';
424:                            $cache[$count] = wfMsgExt( 'number_of_watching_users_RCview',
575:                    $s .= ' ' . wfMsgExt( 'number_of_watching_users_RCview',
734:                    $rc->userlink = ' <span class="history-deleted">' . wfMsgHtml( 'rev-deleted-user' ) . '</span>';
856:                    $r .= ' <span class="history-deleted">' . wfMsgHtml( 'rev-deleted-event' ) . '</span>';
870:                    $nchanges[$n] = wfMsgExt( 'nchanges', array( 'parsemag', 'escape' ), $wgLang->formatNum( $n ) );
1136:                           $r .= ' <span class="history-deleted">' . wfMsgHtml('rev-deleted-event') . '</span>';

extensions/InterwikiIntegration/SpecialInterwikiWatchlist.php
51:                             wfMsgHtml( 'loginreqlink' ),
61:             $sub  = wfMsgExt( 'watchlistfor', 'parseinline', $wgUser->getName() );
233:            $form .= wfMsgExt( 'watchlist-details', array( 'parseinline' ), $wgLang->formatNum( $nitems ) );
236:                    $form .= wfMsgExt( 'wlheader-enotif', 'parse' ) . "\n";
242:                                    wfMsgExt( 'wlheader-showupdated', array( 'parseinline' ) ) . ' ' .
280:                    $wlInfo = wfMsgExt( 'rcnote', 'parseinline',
288:                    $wlInfo = wfMsgExt( 'wlnote', 'parseinline',

extensions/LiveTranslate/LiveTranslate.hooks.php
129:                                            wfMsgExt( 'livetranslate-dictionary-unallowed-langs', 'parsemag', $wgLang->listToText( $notAllowedLanguages ), count( $notAllowedLanguages ) )

extensions/ShoutBox/ShoutBox.php
205:                    $url = wfMsgForContent( 'shoutbox-url-with-css', $id, urlencode( $wgShoutBoxCSS ) );
207:                    $url = wfMsgForContent( 'shoutbox-url', $id );

extensions/WikivoteMapsYandex/includesMaps/services/Yandex/CriterionYandexOverlay.php
55:             return wfMsgExt( 'validation-error-invalid-goverlay', 'parsemag', $parameter->getOriginalName() );
62:             return wfMsgExt( 'validation-error-invalid-goverlays', 'parsemag', $parameter->getOriginalName() );

extensions/WhoIsWatching/WhoIsWatching.php
53:             $msg = wfMsgExt(

extensions/CustomUserSignup/CustomUserSignup.hooks.php
80:                                     $link .= wfMsgHtml( "customusertemplate-$campaign-$linkmsg" . 'link' );
82:                                     $link .= wfMsgHtml( $linkmsg . 'link' );
87:                                     $template->set( 'link', wfMsgExt( "customusertemplate-$campaign-$linkmsg", array( 'parseinline', 'replaceafter' ), $link ) );
89:                                     $template->set( 'link', wfMsgExt( $linkmsg, array( 'parseinline', 'replaceafter' ), $link ) );

extensions/SemanticMaps/src/SM_GeoPolygonsValue.php
41:                     $this->addError( wfMsgForContent( 'smw_emptystring' ) );

extensions/SecurePasswords/ExtSecurePasswords.php
221:                    $conds = array( wfMsgExt( 'securepasswords-minlength', array( 'parsemag' ), $wgValidPasswords['minlength'] ) );
235:                            $conds[] = wfMsgExt( 'securepasswords-username', array( 'parsemag' ), $wgUser->getName() );

extensions/Wikilog/WikilogItemPager.php
134:            return '<div class="wl-empty">' . wfMsgExt( 'wikilog-pager-empty', array( 'parsemag' ) ) . "</div>";
162:                    $titleText .= wfMsgForContent( 'wikilog-draft-title-mark' );
175:            $msg = wfMsgExt( $key, array( 'content', 'parsemag' ), $params );
182:                    $more = $this->parse( wfMsgForContentNoTrans( 'wikilog-summary-more', $params ) );
192:            $msg = wfMsgExt( $key, array( 'content', 'parsemag' ), $params );
336:            $tags = implode( wfMsgForContent( 'comma-separator' ), array_keys( $item->mTags ) );
521:            $fields['wlp_pubdate']                  = wfMsgHtml( 'wikilog-published' );
522:            // $fields['wlp_updated']                       = wfMsgHtml( 'wikilog-updated' );
523:            $fields['wlp_authors']                  = wfMsgHtml( 'wikilog-authors' );
526:                    $fields['wlw_title']            = wfMsgHtml( 'wikilog-wikilog' );
528:            $fields['wlp_title']                    = wfMsgHtml( 'wikilog-title' );
531:                    $fields['wlp_num_comments']     = wfMsgHtml( 'wikilog-comments' );
533:            $fields['_wl_actions']                  = wfMsgHtml( 'wikilog-actions' );

extensions/Wikilog/WikilogCommentPager.php
141:            return WikilogUtils::wrapDiv( 'wl-empty', wfMsgExt( 'wikilog-pager-empty', array( 'parsemag' ) ) );

extensions/Wikilog/WikilogCommentsPage.php
202:                    wfMsgExt( $headerMsg, array( 'parseinline' ) )
308:                    $header = wfMsgHtml( 'wikilog-form-preview' );
328:                            wfMsgHtml( 'loginreqlink' ), array(),
398:                    $reason = wfMsgExt( 'wikilog-log-cmt-rejdel',
408:                            $wgOut->showFatalError( wfMsgExt( 'cannotdelete', array( 'parse' ) ) );
453:                    $user = User::newFromName( wfMsgForContent( 'wikilog-auto' ), false );
455:                            wfMsgForContent( 'wikilog-newtalk-text' ),
456:                            wfMsgForContent( 'wikilog-newtalk-summary' ),

extensions/Wikilog/maintenance/wikilogImportDocumentation.php
125:            $this->mUser = User::newFromName( wfMsgForContent( 'wikilog-auto' ), false );
128:            $this->mComment = wfMsgForContent( 'wikilog-doc-import-comment' );

extensions/Wikilog/WikilogComment.php
263:                    max( 0, 200 - strlen( wfMsgForContent( 'wikilog-comment-autosumm' ) ) ),
265:            return wfMsgForContent( 'wikilog-comment-autosumm', $user, $summ );
650:            $header = wfMsgExt( 'wikilog-comment-header', array( 'content', 'parsemag', 'replaceafter' ), $params );
668:            $footer = wfMsgExt( 'wikilog-comment-footer', array( 'content', 'parsemag', 'replaceafter' ), $params );
687:     * 'replaceafter' parameter to wfMsgExt().
697:                    $authorFmt = wfMsgExt( 'wikilog-simple-signature',
705:                    $authorFmt = wfMsgForContent( 'wikilog-comment-anonsig',
718:                    $extra[] = wfMsgForContent( 'wikilog-comment-note-item',
729:                                    wfMsgForContent( 'wikilog-comment-note-edited', $updDate, $updTime, $updTz ),
736:                    $extra = wfMsgForContent( 'parentheses', $wgContLang->pipeList( $extra ) );
796:                    $msg = wfMsgExt( 'wikilog-comment-omitted-x', array( 'parseinline' ), $comment->mThread[$i] );

extensions/Wikilog/WikilogMainPage.php
124:                                    'title' => wfMsgExt( "wikilog-view-{$alt}",
150:                    $text = wfMsgExt( 'wikilog-missing-wikilog', 'parse' );
224:                    wfMsgExt( "wikilog-post-count-{$type}", array( 'parsemag' ), $num ),

extensions/Wikilog/WikilogItem.php
182:                                    $categoriesFmt = wfMsgExt( 'wikilog-summary-categories',
188:                                    $categoriesFmt = wfMsgExt( 'wikilog-summary-uncategorized',

extensions/Wikilog/SpecialWikilog.php
207:                                    'title' => wfMsgExt( "wikilog-view-{$alt}",

extensions/Wikilog/WikilogFeed.php
389:            $title = wfMsgForContent( 'wikilog-specialwikilog-title' );
390:            $subtitle = wfMsgExt( 'wikilog-feed-description', array( 'parse', 'content' ) );
398:                    wfMsgForContent( 'wikilog-feed-title', $title, $wgContLanguageCode ),
423:            $title = wfMsgForContent( 'wikilog-feed-ns-title', $wgContLang->getFormattedNsText( $ns ) );
424:            $subtitle = wfMsgExt( 'wikilog-feed-description', array( 'parse', 'content' ) );
439:                    wfMsgForContent( 'wikilog-feed-title', $title, $wgContLanguageCode ),
483:                                    wfMsgForContent( 'wikilog-feed-title', $title, $wgContLanguageCode ),
694:            $title = wfMsgForContent( 'wikilog-feed-title',
695:                    wfMsgForContent( 'wikilog-specialwikilogcomments-title' ),
698:            $subtitle = wfMsgExt( 'wikilog-comment-feed-description', array( 'parse', 'content' ) );
730:            $title = wfMsgForContent( 'wikilog-feed-title',
731:                    wfMsgForContent( 'wikilog-title-comments', $item->mName ),
734:            $subtitle = wfMsgExt( 'wikilog-comment-feed-description', array( 'parse', 'content' ) );
769:                    $usertext = wfMsgForContent( 'wikilog-comment-anonsig',
774:                    $title = wfMsgForContent( 'wikilog-comment-feed-title1',
778:                    $title = wfMsgForContent( 'wikilog-comment-feed-title2',

extensions/Wikilog/WikilogHooks.php
281:                            $label = wfMsgExt( 'wikilog-edit-signpub', array( 'parseinline' ) );
282:                            $tooltip = wfMsgExt( 'wikilog-edit-signpub-tooltip', array( 'parseinline' ) );
296:                            wfMsgExt( 'wikilog-edit-fieldset-legend', array( 'parseinline' ) ),

extensions/Wikilog/WikilogUtils.php
210:                    $authorSigCache[$author] = wfMsgForContent( 'wikilog-author-signature', $author );
304:            $commentsTxt = wfMsgExt( $commentsMsg, array( 'parsemag', 'content' ), $commentsNum );
422:            $value = wfMsgForContent( $key );
502:                    $label = wfMsgExt( $msg, $opts, $limit );

extensions/Wikilog/WikilogItemPage.php
83:                     $subtitleTxt = wfMsgExt( 'wikilog-entry-sub',
97:                     $headerTxt = wfMsgExt( 'wikilog-entry-header',
118:                    $footerTxt = wfMsgExt( 'wikilog-entry-footer',
132:                                            'title' => wfMsgExt(

extensions/ImageLink/ImageLink.body.php
573:            return wfMsgForContent( 'imagelink'.$code, $param );

extensions/SemanticMediaWiki/includes/datavalues/SMW_DataValue.php
300:                    $text = call_user_func_array( 'wfMsgForContent', $args );

extensions/CongressLookup/SpecialCongressLookup.php
61:             $htmlOut .= wfMsgExt( 'congresslookup-text', 'parse' );

extensions/Push/includes/Push_Tab.php
110:            $wgOut->setPageTitle( wfMsgExt( 'push-tab-title', 'parsemag', $article->getTitle()->getText() ) );
180:                                    wfMsgExt( 'push-targets-total', 'parsemag', $wgLang->formatNum( count( $egPushTargets ) ) )
240:                                    wfMsgExt( 'push-remote-page-link', 'parsemag', $wgTitle->getFullText(), $name )
349:                                             wfMsgExt( 'push-tab-used-templates', 'parseinline', $wgLang->listToText( $templates ), count( $templates ) ) :

extensions/Push/specials/Push_Body.php
243:                    $form .= '<b>' . htmlspecialchars( wfMsgExt( 'push-special-target-is', 'parsemag', $names[0] ) ) . '</b><br />';

extensions/Push/api/ApiPushImages.php
146:                                    $this->dieUsage( wfMsgExt( 'push-err-authentication', 'parsemag', $target, '' ), 'authentication-failed' );
150:                            $this->dieUsage( wfMsgExt( 'push-err-authentication', 'parsemag', $target, '' ), 'authentication-failed' );
154:                    $this->dieUsage( wfMsgExt( 'push-err-authentication', 'parsemag', $target, '' ), 'authentication-failed' );

extensions/Push/api/ApiPush.php
160:                                    $this->dieUsage( wfMsgExt( 'push-err-authentication', 'parsemag', $target, '' ), 'authentication-failed' );
164:                            $this->dieUsage( wfMsgExt( 'push-err-authentication', 'parsemag', $target, '' ), 'authentication-failed' );
168:                    $this->dieUsage( wfMsgExt( 'push-err-authentication', 'parsemag', $target, '' ), 'authentication-failed' );
341:            $summary = wfMsgExt(

extensions/SolrStore/SolrSearch.php
105:            $allkeyword = wfMsgForContent( 'searchall' );
116:            $relatedkey = wfMsgForContent( 'searchrelated' ) . ':';

extensions/SolrStore/SpecialSolrSearch.php
444:            $size = wfMsgExt( 'search-result-size', array( 'parsemag', 'escape' ), Linker::formatSize( $byteSize ), $wgLang->formatNum( $wordCount ) );
448:                    $size = wfMsgExt( 'search-result-category-size', array( 'parsemag', 'escape' ), $wgLang->formatNum( $cat->getPageCount() ), $wgLang->formatNum( $cat->getSubcatCount() ), $wgLang->formatNum( $cat->getFileCount() ) );
457:                    $stParams = array( 'solrsearch'=>wfMsgForContent( 'searchrelated' ) . ':' . $t->getPrefixedText() );
506:                            $top = wfMsgExt( 'showingresultsheader', array( 'parseinline' ), $wgLang->formatNum( $this->offset + 1 ), $wgLang->formatNum( $this->offset + $resultsShown ), $wgLang->formatNum( $totalNum ), $wgLang->formatNum( $resultsShown )

extensions/Transliterator/Transliterator_body.php
360:                    return wfMsgExt( 'transliterator-error-rulecount', array( 'parsemag' ), $wgTransliteratorRuleCount, $mappage );

extensions/TemplateData/tests/TemplateDataBlobTest.php
506:            // Based on wfMsgExt/parseinline

extensions/SemanticWebBrowser/includes/datavalues/SWBResolvableUriValue.php
39:                     $this->addError( wfMsgForContent( 'smw_emptystring' ) );
51:             $uri_blacklist = explode( "\n", wfMsgForContent( 'smw_uri_blacklist' ) );
55:                             $this->addError( wfMsgForContent( 'smw_baduri', $value ) );
89:                     $this->addError( wfMsgForContent( 'smw_baduri', $this->m_wikitext ) );

extensions/SecurePoll/includes/pages/TranslatePage.php
129:                                    wfMsgHtml( 'securepoll-translate-label-comment' ) .

extensions/LookupUser/LookupUser.body.php
147:                                    wfMsgHtml( 'lookupuser-foundmoreusers' ) .
152:                                    Xml::submitButton( wfMsgHtml( 'go' ) ) .

extensions/LookupUser/LookupUser.php
51:                     wfMsgHtml( 'lookupuser' ),

extensions/SemanticGenealogy/Gedcom5ResultPrinter.php
52:                             $label = wfMsgForContent( 'semanticgenealogy-gedcomexport-link' );

extensions/WYSIWYG/WYSIWYG/CKeditor.body.php
300:            wfMsgHtml('edit-in-richeditor') => 'richeditor',
301:            wfMsgHtml('edit-in-wikitexteditor') => 'wikitexteditor',
302:            wfMsgHtml('tog-riched_toggle_remember_state') => 'rememberlast'

extensions/MediaFunctions/MediaFunctions.class.php
178:            return '<span class="error">' . htmlspecialchars( wfMsgForContent( $error, $name ) ) . '</span>';

extensions/FlvHandler/FlvImageHandler.php
127:            return wfMsgExt( 'flv-long-desc', 'parseinline',

extensions/SemanticPageSeries/includes/SPSException.php
50:                     return wfMsgForContent( 'spserror' );

extensions/HelpCommons/HelpCommons.php
136:                                                            $wgOut->addHTML( '<div id="helpCommons" style="border: solid 1px; padding: 10px; margin: 5px;">' . '<div class="helpCommonsInfo" style="text-align: right; font-size: smaller;padding: 5px;">' . wfMsgForContent( 'helpcommons-info', $name, '<a href="' . $url . $prefix . '/index.php?title=Help:' . $dbkey . '" title="' . $wgContLang->namespaceNames[NS_HELP] . ':' . str_replace( '_', ' ', $dbkey ) . '">' . $wgContLang->namespaceNames[NS_HELP] . ':' . str_replace( '_', ' ', $dbkey ) . '</a>' ) . '</div>' . $content . '</div>' );

extensions/RPED/RPED.hooks.php
41:                     $interwikiURL = wfMsgExt( 'rped-wikipedia-url','parsemag');
122:                            $url = wfMsgExt( 'rped-wikipedia-url','parsemag', $newTitle );

extensions/PdfExport/PdfExport_body.php
128:            $wgOut->addHtml(wfMsgExt('pdf_print_text', 'parse'));

extensions/Sudo/SpecialSudo.php
96:                     $wgOut->addHTML( wfMsgExt( 'sudo-success', array( 'parse', 'replaceafter' ),
124:                            wfMsgExt( 'sudo-unsudo', array( 'parse', 'replaceafter' ),
extensions/Maps/includes/parserhooks/Maps_LayerDefinition.php
349:                    //$out .= $this->errorbox( wfMsgHtml( 'maps-error-invalid-layerdef' ) . $warnings );

extensions/Maps/includes/criteria/CriterionMapLayer.php
64:             return wfMsgExt( 'validation-error-invalid-layer', 'parsemag', $parameter->getOriginalName() );
71:             return wfMsgExt( 'validation-error-invalid-layers', 'parsemag', $parameter->getOriginalName() );

extensions/Maps/includes/criteria/CriterionIsNonNumeric.php
36:             return wfMsgExt( 'validation-error-no-non-numeric', 'parsemag', $parameter->getOriginalName() );
44:             return wfMsgExt( 'validation-error-no-non-numerics', 'parsemag', $parameter->getOriginalName() );

extensions/SoundManager2Button/SoundManager2Button.php
103:            $output='<a href="'.$url.'" title="'.wfMsgForContent('soundmanager2button-play').'" class="sm2_button">'.wfMsgForContent('soundmanager2button-play').'</a>';

extensions/PGFTikZ/PGFTikZ.parser.php
157:                    // giving a new parser to wfMsgExt().
523:                            'summary'    => wfMsgForContent( 'update from PGFTikZ' ),

extensions/EtherpadLite/EtherpadLite_body.php
182:            // since the cache doesn't vary by user language: do not use wfMsgForContent but wfMsgForContent

extensions/Ratings/Ratings.class.php
39:                     $message = wfMsgExt(

extensions/IndexFunction/IndexFunction_body.php
339:            $warn = wfMsgExt( 'indexfunc-editwarning', array( 'parsemag' ), $list, $c );
365:            $msg = wfMsgExt( 'indexfunc-movewarn', array( 'parsemag' ), $new->getPrefixedText(), $list, $c );

extensions/IndexFunction/SpecialIndex.php
33:                     $expandTitle = wfMsgHtml( 'index-expand-detail' );
34:                     $closeTitle = wfMsgHtml( 'index-hide-detail' );
99:             return "<tr><td class='errorbox'>" . wfMsgHtml( 'index-no-results' ) . "</td></tr>";
176:            Xml::element( 'legend', array(), wfMsgHtml( 'index-legend' ) ) .
196:                            '<div id="use-js-note" style="display:none">' . wfMsgExt( 'index-details-explain' , array( 'parse' ) ) . '</div>' .

extensions/YetAnotherKeywords/YetAnotherKeywords.php
93:                     wfMsgForContent('YetAnotherKeywords-missing-content').

extensions/ParserFun/includes/PFun_Caller.php
171:            $error = new ValidationError( wfMsgForContent( 'parserfun-invalid-caller-mode' ) );

extensions/SphinxSearch/SphinxMWSearch.php
229:            $allkeyword = wfMsgForContent( 'searchall' );

extensions/LogEntry/LogEntry.page.php
56:                             $newLine .= wfMsgForContent( 'colon-separator' ) . str_replace( "\n", '<br />',

extensions/ErrorHandler/ErrorHandler.php
211:    if( function_exists( 'wfMsgExt' ) ){
218:            return call_user_func_array( 'wfMsgExt', $callbackArgs );

extensions/SemanticACL/SemanticACL.php
40:                                     wfMsgForContent('sacl-property-visibility') );
42:                                     wfMsgForContent('sacl-property-visibility-wl-group') );
44:                                     wfMsgForContent('sacl-property-visibility-wl-user') );
52:                                     wfMsgForContent('sacl-property-editable') );
54:                                     wfMsgForContent('sacl-property-editable-wl-group') );
56:                                     wfMsgForContent('sacl-property-editable-wl-user') );

extensions/Loops/Loops.php
360:            return $output .= '<div class="error">' . wfMsgForContent( 'loops_max' ) . '</div>';

extensions/ConventionExtension/model/ConferenceEvent.php
71:                     $groups[] = $lang === 'contlang' ? wfMsgForContent( $key ) : wfMsg( $key );
155:                    $titleText = $confTitle . '/' . wfMsgForContent( 'cvext-events' ) . '/' . $mTopic . '-' . $mDay . '-'
235:            $titleText = $confTitle . '/' . wfMsgForContent( 'cvext-events' ) .'/' . $mTopic . '-' . $mDay . '-'
310:                                    $completeLocTitle = $confTitle . '/' . wfMsgForContent( 'cvext-locations' ) . '/' . $mLocation->getRoomNo();
363:            $titleText = $confTitle . '/' . wfMsgForContent( 'cvext-events' ) . '/' . $mTopic . '-' . $mDay . '-'

extensions/ConventionExtension/model/EventLocation.php
66:             $title = $confTitle . '/' . wfMsgForContent( 'cvext-locations' ) . '/' . $roomNo;
125:            $titleText = $confTitle . '/' . wfMsgForContent( 'cvext-locations' ) . '/' . $roomNo;
203:            $titleText = $confTitle . '/' . wfMsgForContent( 'cvext-locations' ) . '/' . $roomNo;

extensions/ConventionExtension/model/ConferenceOrganizer.php
69:             $title = $confTitle . '/' . wfMsgForContent( 'cvext-organizers' ) . '/' . $username;
185:            $title = $confTitle . '/' . wfMsgForContent( 'cvext-organizers' ) . '/' . $username;
323:            $title = $confTitle . '/' . wfMsgForContent( 'cvext-organizers' ) . '/' . $username;
451:            $postSectionText .= "** " . wfMsgForContent( 'cvext-org-email' ) . " : \n";
452:            $postSectionText .= "** " . wfMsgForContent( 'cvext-org-phone' ) . " : \n";
453:            $postSectionText .= "** " . wfMsgForContent( 'cvext-org-cellphone' ) . " : \n";
454:            $postSectionText .= "** " . wfMsgForContent( 'cvext-org-im' ) . " : \n";
455:            $postSectionText .= "** " . wfMsgForContent( 'cvext-org-other' ) . " : \n";
456:            $postSectionText .= "** " . wfMsgForContent( 'cvext-org-citytime' ) . " : \n";
457:            $postSectionText .= "** " . wfMsgForContent( 'cvext-org-accessibility' ) . " : \n";
458:            $postSectionText .= "** " . wfMsgForContent( 'cvext-org-languages' ) . " : \n";
506:            $orgTitle = Title::newFromText( $conferenceTitle . '/' . wfMsgForContent( 'cvext-organizers' ) . '/' . $username );

extensions/ConventionExtension/model/ConferencePage.php
82:                     $types[] = $lang === 'contlang' ? wfMsgForContent( 'cvext-' . $key ) : wfMsg( 'cvext-' . $key );
139:            $title = $confTitle . '/'. wfMsgForContent( 'cvext-pages' ) . '/' . $type;
209:                            $text .= "==" . wfMsgForContent( 'cvext-schedule-heading' ) . "==\n";
220:                            $text .= "==" . wfMsgForContent( 'cvext-submission-overview' ) . "==\n";
221:                            $text .= "==" . wfMsgForContent( 'cvext-submission-length' ) . "==\n";
222:                            $text .= "==" . wfMsgForContent( 'cvext-submission-tracks' ) . "==\n";
232:                            $text .= "==" . wfMsgForContent( 'cvext-submission-how' ) . "== \n";
235:                            $text .= "==" . wfMsgForContent( 'cvext-submission-program' ) . "==\n";
236:                            $text .= "==" . wfMsgForContent( 'cvext-submission-goals' ) . "==\n";
237:                            $text .= "==" . wfMsgForContent( 'cvext-submission-application' ) . "==\n";
238:                            $text .= "'''" . wfMsgForContent( 'cvext-submission-eligibility' ) . "''' :" . "\n";
239:                            $text .= "'''" . wfMsgForContent( 'cvext-submission-selection' ) . "''' :" . "\n";
240:                            $text .= "'''" . wfMsgForContent( 'cvext-submission-deadline' ) . "''' :" . "\n";
241:                            $text .= "===" . wfMsgForContent( 'cvext-submission-process' ) . "===\n";
242:                            $text .= "===" . wfMsgForContent( 'cvext-submission-types' ) . "===\n";
243:                            $text .= "===" . wfMsgForContent( 'cvext-submission-criteria' ) . "===\n";
244:                            $text .= "==" . wfMsgForContent( 'cvext-submission-questions' ) . "==\n";
245:                            $text .= "==" . wfMsgForContent( 'cvext-submission-apply' ) . "==\n";
254:                            $text .= "==" . wfMsgForContent( 'cvext-locations-heading' ) . "==\n";
260:                                            $locationLink = Title::newFromText( $conferenceTitle . '/' . wfMsgForContent( 'cvext-locations' ) . '/'
466:            $titleText = $confTitle . '/' . wfMsgForContent( 'cvext-pages' ) . '/' . $type;
527:            $titleText = $confTitle . '/' . wfMsgForContent( 'cvext-pages' ) . '/' . $type;

extensions/ConventionExtension/model/ConferenceRegistration.php
138:            $titleText = $confTitle . '/' . wfMsgForContent( 'cvext-registrations' ) . '/' . $username;
159:                            $titleEventText = $confTitle . '/' . $username . '/' . wfMsgForContent( 'cvext-registration-event', $i );

extensions/ConventionExtension/model/ConferenceAccount.php
98:             $accountTitle = wfMsgForContent( 'cvext-accounts' ) . '/' . $username;
265:            $titleText = $conferenceTitle . '/' . wfMsgForContent( 'cvext-accounts' ) . '/' . $username;
329:            $titleText = wfMsgForContent( 'cvext-accounts' ) . '/' . $username;
405:            $titleText = wfMsgForContent( 'cvext-accounts' ) . '/' . $username;
465:                    $pagePassport = WikiPage::factory( Title::newFromText( wfMsgForContent( "cvext-passports" ) . "/" . $username ) );
504:            $titleText = wfMsgForContent( 'cvext-passports' ) . '/' . $username;

extensions/ConventionExtension/model/ConferencePassportInfo.php
100:            $passportTitle = wfMsgForContent( 'cvext-passports' ) . '/' . $username;
extensions/ConventionExtension/model/AuthorSubmission.php
111:            $titleSub = $conferenceTitle . '/' . wfMsgForContent( 'cvext-authors' ) . '/' . $username . '/'
112:                                            .wfMsgForContent( 'cvext-submissions' ) . '/' . $title;

extensions/ConventionExtension/model/ConferenceAuthor.php
107:            $titleParent = wfMsgForContent( 'cvext-authors' ) . '/' . $userName;
136:            $titleChild = $confTitle . '/' . wfMsgForContent( 'cvext-authors' ) . '/' . $userName;
383:            $titleText = $confTitle . '/' . wfMsgForContent( 'cvext-authors' ) . '/' . $username;
457:            $titleText = wfMsgForContent( 'cvext-authors' ) . '/' . $username;
544:            $titleText = $conferenceTitle . '/' . wfMsgForContent( 'cvext-authors' ) . '/' . $username . '/'
545:                            . wfMsgForContent( 'cvext-submissions' ) . '/' . $title;

extensions/ConventionExtension/ui/user/SpecialAuthorRegister.php
262:                            $subtitleText = $conferenceTitle . '/' . wfMsgForContent( 'cvext-authors' ) . '/' . $user->getName() .
263:                            '/' . wfMsgForContent( 'cvext-submissions' ) . '/' . $submissionTitle->getText();
507:                    $authorTitle = wfMsgForContent( 'cvext-authors' ) . '/' . $user->getName();
517:                    $subtitle = $conferenceTitle . '/' . wfMsgForContent( 'cvext-authors' ) . '/' . $user->getName() .
518:                             '/' . wfMsgForContent( 'cvext-submissions' ) . '/' . $title;
662:                    $submissionTitle = $this->conferenceTitle . '/' . wfMsgForContent( 'cvext-authors' ) . '/' . $user->getName() .
663:                             '/' . wfMsgForContent( 'cvext-submissions' ) . '/' . $title;
759:                    $authorTitle = wfMsgForContent( 'cvext-authors' ) . '/' . $user->getName();
889:                                    $submissionTitle = $conferenceTitle . '/' . wfMsgForContent( 'cvext-authors' ) . '/' . $user->getName() . '/'
890:                                                    . wfMsgForContent( 'cvext-submissions' ) . '/' . $title;

extensions/ConventionExtension/ui/admin/SpecialDashboard.php
218:                    $completePageTitle = $this->conference->getTitle() . '/' . wfMsgForContent( 'cvext-pages' ) . '/' . $page;
322:                    $completeEventTitle = $this->conference->getTitle() . '/' . wfMsgForContent( 'cvext-events' ) . '/' . $topic . '-' . $day .
326:                    $completeLocationTitle = $this->conference->getTitle() . '/' . wfMsgForContent( 'cvext-locations' ) . '/' . $location->getRoomNo();
371:                    $completeTitle = $this->conference->getTitle() . '/' . wfMsgForContent( 'cvext-locations' ) . '/' . $title;

extensions/ConventionExtension/ConferenceHooks.php
42:                     $pageLink = Title::newFromText( $conferenceTitle . '/' . wfMsgForContent('cvext-pages') . '/' . $pageType )->getPrefixedDBKey();
144:                            $baseTitleText = $conferenceTitle . '/' . wfMsgForContent( 'cvext-pages' ) . '/';
174:                                            $name = $link['msg'] == 'aboutcity' ? wfMsgForContent( 'cvext-' . $link['msg'] . '-plain' ) : wfMsgForContent( 'cvext-' . $link['msg'] );

extensions/ConventionExtension/api/ApiConferenceOrganizerEdit.php
112:                            $orgsTitleText = $conferenceTitle . '/' . wfMsgForContent( 'cvext-pages' ) . '/' . wfMsgForContent( 'cvext-orgteam' );

extensions/ConventionExtension/api/ApiAuthorSubmissionEdit.php
62:                     $text = $conferenceTitle . '/' . wfMsgForContent( 'cvext-authors' ) . '/' . $username . '/'
63:                                     . wfMsgForContent( 'cvext-submissions' ) . '/' . $title;
97:                             $text = $conferenceTitle . '/' . wfMsgForContent( 'cvext-authors' ) . '/' . $username
98:                                     . '/' . wfMsgForContent( 'cvext-submissions' ) . '/' . $titleTo;

extensions/ConventionExtension/api/ApiConferenceEventDelete.php
57:             $eventTitleText = $conferenceTitle . '/' . wfMsgForContent( 'cvext-events' ) . '/' . $topic . '-' . $day

extensions/ConventionExtension/api/ApiConferenceEventEdit.php
97:                             $localisedText = '/' . wfMsgForContent( 'cvext-locations' ) .'/';
114:                    $eventLocalisedText = '/' . wfMsgForContent( 'cvext-events' ) . '/';

extensions/ConventionExtension/api/ApiConferenceLocationDelete.php
45:             $titleText = $conferenceTitle . '/' . wfMsgForContent( 'cvext-locations' ) . '/' . $roomNo;

extensions/ConventionExtension/api/ApiConferencePageEdit.php
39:             $middleText = '/' . wfMsgForContent( 'cvext-pages' ) . '/';

extensions/ConventionExtension/api/ApiConferenceEventAdd.php
70:             $localisedText = '/' . wfMsgForContent( 'cvext-locations' ) . '/';
92:             $eventLocalisedText = '/' . wfMsgForContent( 'cvext-events' ) . '/';

extensions/ConventionExtension/api/ApiConferenceOrganizerDelete.php
63:                             $orgsTitleText = $conferenceTitle . '/' . wfMsgForContent( 'cvext-pages' ) . '/' . wfMsgForContent( 'cvext-orgteam' );

extensions/ConventionExtension/api/ApiAuthorSubmissionDelete.php
34:                     $text = $conferenceTitle . '/'.wfMsgForContent( 'cvext-authors' ) . '/' . $user->getName()
35:                     . '/' . wfMsgForContent( 'cvext-submissions' ) . '/' . $title;

extensions/ConventionExtension/api/ApiConferencePageAdd.php
57:             $localisedText = '/' . wfMsgForContent( 'cvext-pages' ) . '/';

extensions/ConventionExtension/api/ApiConferenceOrganizerAdd.php
68:                     $orgsTitleText = $conferenceTitle . '/' . wfMsgForContent( 'cvext-pages' ) . '/' . wfMsgForContent( 'cvext-orgteam' );

extensions/ConventionExtension/api/ApiConferenceLocationEdit.php
59:             $titleText = $conferenceTitle . '/' . wfMsgForContent( 'cvext-locations' ) . '/' . $roomNo;
91:                             $toTitleText = $conferenceTitle . '/' . wfMsgForContent( 'cvext-locations' ) . '/' . $roomNoTo;

extensions/ConventionExtension/api/ApiConferencePageDelete.php
35:             $localisedText = '/' . wfMsgForContent( 'cvext-pages' ) . '/';

extensions/ConventionExtension/utils/CommonUtils.php
40:             $monthLocalisedText = $lang === 'contlang' ? wfMsgForContent( $monthKey ) : wfMsg( $monthKey );
64:                     $monthLocalisedText = $lang === 'contlang' ? wfMsgForContent( $monthKey ) : wfMsg( $monthKey );

extensions/DynamicPageList/DPL.php
1513:    * This is meant to be equivalent to wfMsgExt() with parse, parsemag and

extensions/SemanticPageMaker/specials/WidgetAssembler/SPM_UploadWindow2.php
216:                    $form->addPreText( wfMsgExt( 'session_fail_preview', 'parseinline' ) );
219:            // $form->addPreText( '<div id="uploadtext">' . wfMsgExt( 'uploadtext', 'parse' ) . '</div>');
243:                    $link = wfMsgExt(
248:                                    wfMsgExt( 'restorelink', array( 'parsemag', 'escape' ), $count )
273:            $message = '<h2>' . wfMsgHtml( 'uploadwarning' ) . "</h2>\n" .
288:            $warningHtml = '<h2>' . wfMsgHtml( 'uploadwarning' ) . "</h2>\n"
296:                                    $msg = "\t<li>" . wfMsgExt( 'file-deleted-duplicate', 'parseinline',
304:                                    $msg = "\t<li>" . wfMsgExt( $warning, 'parseinline', $args ) . "</li>\n";
309:            $warningHtml .= wfMsgExt( 'uploadwarning-text', 'parse' );
325:            $message = '<h2>' . wfMsgHtml( 'uploadwarning' ) . "</h2>\n" .
427:                            $licensetxt = '== ' . wfMsgForContent( 'license-header' ) . " ==\n" . '{{' . $license . '}}' . "\n";
429:                    $pageText = '== ' . wfMsgForContent ( 'filedesc' ) . " ==\n" . $comment . "\n" .
430:                      '== ' . wfMsgForContent ( 'filestatus' ) . " ==\n" . $copyStatus . "\n" .
432:                      '== ' . wfMsgForContent ( 'filesource' ) . " ==\n" . $source ;
435:                            $filedesc = $comment == '' ? '' : '== ' . wfMsgForContent ( 'filedesc' ) . " ==\n" . $comment . "\n";
437:                                     '== ' . wfMsgForContent ( 'license-header' ) . " ==\n" . '{{' . $license . '}}' . "\n";
487:                            $this->recoverableUploadError( wfMsgHtml( 'minlength1' ) );
490:                            $this->recoverableUploadError( wfMsgExt( 'illegalfilename',
494:                            $this->recoverableUploadError( wfMsgExt( $details['overwrite'],
498:                            $this->recoverableUploadError( wfMsgExt( 'filetype-missing',
504:                            $this->showUploadForm( $this->getUploadForm( wfMsgHtml( 'emptyfile' ) ) );
509:                                    wfMsgExt( 'filetype-banned-type',
513:                                                    wfMsgExt( 'comma-separator', array( 'escapenoentities' ) ),
523:                            $this->uploadError( wfMsgExt( $code, 'parseinline', $details['details'] ) );
527:                            $this->uploadError( wfMsgExt( $error, 'parseinline' ) );
573:                    $warning[] = '<li>' . wfMsgExt( 'fileexists', 'parseinline', $filename ) . '</li>';
576:                    $warning[] = '<li>' . wfMsgExt( 'filepageexists', 'parseinline', $filename ) . '</li>';
578:                    $warning[] = '<li>' . wfMsgExt( 'fileexists-extension', 'parseinline', $filename,
582:                    $warning[] = '<li>' . wfMsgExt( 'fileexists-thumbnail-yes', 'parseinline',
588:                    $warning[] = '<li>' . wfMsgExt( 'file-thumbnail-no', 'parseinline', $badPart ) . '</li>';
590:                    $warning[] = '<li>' . wfMsgExt( 'filename-bad-prefix', 'parseinline', $exists['prefix'] ) . '</li>';
596:                            wfMsgHtml( 'deletionlog' ),
666:                            wfMsgExt( "file-exists-duplicate", array( "parse" ), count( $dupes ) ) .
757:                            'help' => wfMsgExt( 'upload-maxfilesize',
762:                                    ) . ' ' . wfMsgHtml( 'upload_source_file' ),
774:                            'help' => wfMsgExt( 'upload-maxfilesize',
777:                                    ) . ' ' . wfMsgHtml( 'upload_source_url' ),

extensions/SemanticPageMaker/specials/WidgetAssembler/SPM_UploadWindow.php
313:                    $this->mainUploadWindowForm( wfMsgHtml( 'largefileserver' ) );
321:                    $this->mainUploadWindowForm( wfMsgHtml( 'emptyfile' ) );
353:                    $this->mainUploadWindowForm( wfMsgHtml( 'minlength1' ) );
391:                    return $this->uploadError( wfMsgExt( 'filetype-missing', array ( 'parseinline' ) ) );
394:                    return $this->uploadError( wfMsgExt( 'filetype-badtype', array ( 'parseinline' ),
434:                            $warning .=  '<li>' . wfMsgHtml( 'badfilename', htmlspecialchars( $this->mDestName ) ) . '</li>';
440:                                    $warning .= '<li>' . wfMsgExt( 'filetype-badtype', array ( 'parseinline' ),
449:                            $warning .= '<li>' . wfMsgHtml( 'large-file', $wsize, $asize ) . '</li>';
452:                            $warning .= '<li>' . wfMsgHtml( 'emptyfile' ) . '</li>';
564:                            $dlink2 = Linker::makeImageLinkObj( $file->getTitle(), wfMsgExt( 'fileexists-thumb', 'parseinline', $dlink ),
574:                    $warning .= '<li>' . wfMsgExt( 'fileexists', 'parseinline', $dlink ) . '</li>' . $dlink2;
581:                            $dlink2 = Linker::makeImageLinkObj( $nt_lc, wfMsgExt( 'fileexists-thumb', 'parseinline', $dlink ),
591:                    $warning .= '<li>' . wfMsgExt( 'fileexists-extension', 'parsemag', $file->getName(), $dlink ) . '</li>' . $dlink2;
604:                                            wfMsgExt( 'fileexists-thumb', 'parseinline', $dlink ),
615:                            $warning .= '<li>' . wfMsgExt( 'fileexists-thumbnail-yes', 'parsemag', $dlink ) .
619:                            $warning .= '<li>' . wfMsgExt( 'file-thumbnail-no', 'parseinline' ,
627:                    $llink = $sk->makeKnownLinkObj( $ltitle, wfMsgHtml( 'sf_deletionlog' ),
747:            $wgOut->addHTML( "<h2>" . wfMsgHtml( 'uploadwarning' ) . "</h2>\n" );
769:            $wgOut->addHTML( "<h2>" . wfMsgHtml( 'uploadwarning' ) . "</h2>\n" );
772:            $save = wfMsgHtml( 'savefile' );
773:            $reupload = wfMsgHtml( 'reupload' );
855:                            $link = wfMsgExt(
860:                                            wfMsgHtml( 'restorelink', $count )
874:                    $sub = wfMsgHtml( 'uploaderror' );
884:            $sourcefilename = wfMsgHtml( 'sourcefilename' );
885:            $destfilename = wfMsgHtml( 'destfilename' );
886:            $summary = wfMsgExt( 'fileuploadsummary', 'parseinline' );
888:            $license = wfMsgExt( 'license', array( 'parseinline' ) );
889:            $nolicense = wfMsgHtml( 'nolicense' );
902:            $ulb = wfMsgHtml( 'uploadbtn' );
935:                            wfMsgHtml( 'upload_source_url' ) ;
1007:                   $filestatus = wfMsgHtml ( 'filestatus' );
1009:                   $filesource = wfMsgHtml ( 'filesource' );
1030:                   <label for='wpWatchthis'>" . wfMsgHtml( 'watchthisupload' ) . "</label>
1032:                   <label for='wpIgnoreWarning'>" . wfMsgHtml( 'ignorewarnings' ) . "</label>
1044:           $wgOut->addWikiText( wfMsgForContent( 'edittools' ) );
1501:                           $licensetxt = '== ' . wfMsgForContent( 'license' ) . " ==\n" . '{{' . $license . '}}' . "\n";
1504:                     '== ' . wfMsgForContent ( 'filestatus' ) . " ==\n" . $copyStatus . "\n" .
1506:                     '== ' . wfMsgForContent ( 'filesource' ) . " ==\n" . $source ;
1511:                                    '== ' . wfMsgForContent ( 'license' ) . " ==\n" . '{{' . $license . '}}' . "\n";

extensions/ArticleComments/ArticleComments.php
147:            $args['name'] = wfMsgExt( 'article-comments-comment-missing-name-parameter', array( 'language' => $parser->getFunctionLang() ) );
155:            $args['date'] = wfMsgExt( 'article-comments-comment-missing-date-parameter', array( 'language' => $parser->getFunctionLang() ) );
193:                    wfMsgExt( 'article-comments-comment-bad-mode', array( 'parsemag', 'language' => $parser->getFunctionLang() ) )
200:    return wfMsgExt(
257:    if ( $parser === $wgParser ) { # Needed since r82645. Workaround the 'Invalid marker' problem by giving a new parser to wfMsgExt().
276:            wfMsgExt(
285:                    wfMsgExt(
294:            wfMsgExt( 'article-comments-comment-field', array( 'parseinline', 'content' ) ) .
299:    $content .= '<p>' . Html::input( 'comment-submit', wfMsgForContent( 'article-comments-submit-button' ), 'submit' ) . '</p>';
325:    $pretext = wfMsgForContent( 'article-comments-prefilled-comment-text' );
354:                    '\'>' . wfMsgForContent( 'article-comments-leave-comment-link' ) . '</a>";' . "\n" .
396:                    $messages[] = wfMsg( 'article-comments-invalid-field', wfMsgForContent( 'article-comments-title-string' ), $titleText );
400:                    $messages[] = wfMsg( 'article-comments-required-field', wfMsgForContent( 'article-comments-name-string' ) );
404:                    $messages[] = wfMsg( 'article-comments-invalid-field', wfMsgForContent( 'article-comments-url-string' ), $commenterURL );
414:                    $wikiText .= wfMsgExt( 'article-comments-failure-reasons', 'parsemag', count( $messages ) ) . "\n\n";
433:                    $wikiText .= wfMsgExt( 'article-comments-failure-reasons', 'parsemag', 1 ) . "\n\n";
465:                    $wgOut->setPageTitle( wfMsgForContent( 'article-comments-submission-failed' ) );
491:                    $talkContent = wfMsgForContent( 'article-comments-talk-page-starter', $title->getPrefixedText() );
495:            $commentText = wfMsgForContent( 'article-comments-new-comment-heading', $commenterName, $commenterURL, '~~~~', $comment );
521:            $summary = wfMsgForContent( 'article-comments-summary', $commenterName );

extensions/EditUser/EditUserPreferencesForm.php
13:             $html .= "\n" . Xml::element('a', array( 'href'=> $url ), wfMsgHtml( 'restoreprefs' ) );

extensions/RSS/RSSParser.php
682:            // since the cache doesn't vary by user language: do not use wfMsgForContent but wfMsgForContent

extensions/HTMLets/HTMLets.php
94:             $output = Html::rawElement( 'div', array( 'class' => 'error' ), wfMsgForContent( 'htmlets-filenotfound', htmlspecialchars( $name ) ) );
98:                     $output = Html::rawElement( 'div', array( 'class' => 'error' ), wfMsgForContent( 'htmlets-loadfailed', htmlspecialchars( $name ) ) );

extensions/SemanticComments/specials/Comment/CE_CommentParserFunctions.php
616:            $html = '<h2>' . wfMsgHtml( 'ce_warning' ) . "</h2>\n";

extensions/ReplaceSet/ReplaceSet.class.php
82:             return '<strong class="error">' . call_user_func_array( 'wfMsgForContent', $args ) . '</strong>';

extensions/Favorites/SpecialFavoritelist.php
310:                    // $form .= "<fieldset>\n<legend>" . wfMsgHtml( 'favoritelistedit-normal-legend' ) . "</legend>";
311:                    // $form .= wfMsgExt( 'favoritelistedit-normal-explain', 'parse' );

extensions/Favorites/FavParser.php
36:                     $output = wfMsgHtml( 'favoritelistanontext', $llink ) ;

extensions/CreateRedirect/CreateRedirect.body.php
178:            $msgPageTitle = wfMsgHtml( 'createredirect-page-title' );
179:            $msgRedirectTo = wfMsgHtml( 'createredirect-redirect-to' );
180:            $msgSave = wfMsgHtml( 'createredirect-save' );
184:            $wgOut->addHTML( wfMsgHtml( 'createredirect-instructions' ) );

extensions/Premoderation/SpecialPremoderation.php
100:                            wfMsgHtml( 'premoderation-next' ) ) );

extensions/ProofreadPage/SpecialPagesWithoutScans.php
46:             $dMsgText = wfMsgForContent('proofreadpage-disambiguationspage');

extensions/NewSignupPage/NewSignupPage.class.php
183:                                    $message = wfMsgExt(

core/includes/GlobalFunctions.php
1468: * Use wfMsgForContent() instead if the message should NOT
1523: * use wfMsgForContent(), a user of the software may have to
1533:function wfMsgForContent( $key ) {
1556:function wfMsgForContentNoTrans( $key ) {
1659:function wfMsgHtml( $key ) {
1714:function wfMsgExt( $key, $options ) {
1727:                   wfWarn( "wfMsgExt called with incorrect parameter key $arrayKey", 1, E_USER_WARNING );
1730:                   wfWarn( "wfMsgExt called with incorrect parameter $option", 1, E_USER_WARNING );

core/includes/Message.php
123: *     wfMsgExt( 'key', array( 'parseinline' ), 'apple' );
134: *     wfMsgExt( 'key', array( 'parsemag' ), 'apple', 'pear' );

List of the top contributor of each of those extensions:

$ for ext in ArticleComments CommentPages CongressLookup ConventionExtension CreateRedirect CustomUserSignup DynamicPageList EditUser ErrorHandler EtherpadLite Favorites FlvHandler GlobalNotice HelpCommons HTMLets ImageLink IndexFunction InterwikiIntegration LiveTranslate LogEntry LookupUser Loops Maps MassEditRegex MediaFunctions NewSignupPage ParserFun PdfExport PGFTikZ Premoderation ProofreadPage Push Ratings ReplaceSet RPED RSS SecurePasswords SecurePoll SemanticACL SemanticComments SemanticGenealogy SemanticMaps SemanticMediaWiki SemanticPageMaker SemanticPageSeries SemanticWebBrowser ShoutBox SolrStore SoundManager2Button SphinxSearch Sudo TemplateData ThemeDesigner Transliterator WhoIsWatching Wikilog WikivoteMapsYandex WYSIWYG YetAnotherKeywords; do cd /shared/mediawiki/extensions/$ext ; git shortlog -se | sort -nr | sed /raymond/d | sed /siebrand/d | sed /nikerabbit/d | sed /l10n-bot/d | head -1 ; done | sort -n
     1  Reedy <reedy@wikimedia.org>
     2  Brad Jorsch <bjorsch@wikimedia.org>
     2  James Golovich <james@gnuinter.net>
     2  Reedy <reedy@wikimedia.org>
     2  Reedy <reedy@wikimedia.org>
     3  Daniel Friesen <dantman@users.mediawiki.org>
     3  Daniel Friesen <dantman@users.mediawiki.org>
     3  demon <demon@dd0e9695-b195-4be7-bd10-2dea1a65a6b6>
     3  Jack Phoenix <jack@countervandalism.net>
     3  Jehy <fate@jehy.ru>
     3  tpt <thomaspt@hotmail.fr>
     4  Chad Horohoe <demon@users.mediawiki.org>
     4  Daniel Friesen <daniel@nadir-seen-fire.com>
     4  Jack Phoenix <ashley@users.mediawiki.org>
     4  Rob Church <robchurch@users.mediawiki.org>
     4  Siebrand Mazeland <s.mazeland@xs4all.nl>
     4  wingsofcourage <thomas.immel@web.de>
     5  Alexander K. <cryptocoryne@users.mediawiki.org>
     5  Andrew Garrett <werdna@users.mediawiki.org>
     5  Chad Horohoe <demon@users.mediawiki.org>
     5  Daniel Friesen <dantman@users.mediawiki.org>
     6  malvineous <malvineous@dd0e9695-b195-4be7-bd10-2dea1a65a6b6>
     6  Vitaliy Filippov <vitalif@yourcmc.ru>
     7  Christian Neubauer <seventowers@gmail.com>
     8  skizzerz <skizzerz@dd0e9695-b195-4be7-bd10-2dea1a65a6b6>
     8  Trevor Parscal <tparscal@users.mediawiki.org>
     9  jlemley <jlemley@gmail.com>
     9  reedy <reedy@dd0e9695-b195-4be7-bd10-2dea1a65a6b6>
    10  Alexandre Emsenhuber <ialex@users.mediawiki.org>
    10  Daniel Kinzler <daniel@users.mediawiki.org>
    10  tisane <tisane@dd0e9695-b195-4be7-bd10-2dea1a65a6b6>
    12  benedikt <benedikt@b-kaempgen.de>
    12  danwe <danwe@localhost>
    14  danwe <danwe@localhost>
    14  kroocsiogsi <kroocsiogsi@localhost>
    14  Tim Weyer <cervidae@users.mediawiki.org>
    15  Nimish Gautam <nimishg@users.mediawiki.org>
    16  Jeroen De Dauw <jeroendedauw@users.mediawiki.org>
    16  mrzman <mrzman@dd0e9695-b195-4be7-bd10-2dea1a65a6b6>
    16  Stephan Gambke <foxtrott@users.mediawiki.org>
    17  jimbojw <jimbojw@dd0e9695-b195-4be7-bd10-2dea1a65a6b6>
    17  schuellersa <schuellersa@localhost>
    18  Shinjiman <shinjiman@users.mediawiki.org>
    19  Thomas Gries <wikinaut@users.mediawiki.org>
    24  Conrad Irwin <conrad@users.mediawiki.org>
    24  Thomas Gries <wikinaut@users.mediawiki.org>
    27  chughakshay16 <chughakshay16@gmail.com>
    31  Svemir Brkic <svemir@users.mediawiki.org>
    41  Timo Tijhof <krinklemail@gmail.com>
    44  Tim Starling <tstarling@users.mediawiki.org>
    48  jeanlou.dupont <jeanlou.dupont@51235a64-d92d-0410-a7aa-c7403dfc0a9e>
    51  Ryan Kaldari <kaldari@users.mediawiki.org>
    66  Juliano F. Ravasi <juliano@users.mediawiki.org>
   103  Jeroen De Dauw <jeroendedauw@users.mediawiki.org>
   147  Jeroen De Dauw <jeroendedauw@users.mediawiki.org>
   315  ThomasV <thomasv@users.mediawiki.org>
   472  jeroendedauw <jeroendedauw@dd0e9695-b195-4be7-bd10-2dea1a65a6b6>
   816  jeroendedauw <jeroendedauw@dd0e9695-b195-4be7-bd10-2dea1a65a6b6>
  1860  mwjames <jamesin.hongkong.1@gmail.com>

Version: master
Severity: minor
Whiteboard: gci2014
URL: https://www.mediawiki.org/wiki/Manual:Messages_API#Deprecated_wfMsg.2A_functions

Details

Reference
bz68750

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 262146 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262146

Change 262142 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262142

Change 262122 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262122

Change 262134 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262134

Change 262125 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262125

Change 262141 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262141

Change 262164 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262164

Change 262184 merged by Reedy:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262184

Change 262192 merged by jenkins-bot:
Replace deprecated wfMsg* functions

https://gerrit.wikimedia.org/r/262192

Change 262179 merged by Reedy:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262179

Change 262140 merged by Reedy:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262140

Change 262181 merged by Reedy:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262181

Change 262116 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262116

Change 262115 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262115

Change 262128 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262128

Change 262135 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262135

Change 262147 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262147

Change 262176 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262176

Change 262183 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262183

Change 262165 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262165

Change 262163 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262163

Change 262168 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262168

Change 262174 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262174

Change 262157 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262157

Change 262130 merged by jenkins-bot:
Replace wfmsg* calls

https://gerrit.wikimedia.org/r/262130

Change 262180 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262180

Change 262178 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262178

Change 262158 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262158

Change 262121 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262121

Change 262154 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262154

Change 262123 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262123

Change 262124 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262124

Change 262127 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262127

Change 262139 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262139

Change 262162 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262162

Change 262138 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262138

Change 262144 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262144

Change 262136 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262136

Change 262145 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262145

Change 262149 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262149

Change 262155 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262155

Change 262156 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262156

Change 262169 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262169

Change 262167 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262167

Change 262182 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262182

Change 262161 merged by jenkins-bot:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262161

Change 262245 had a related patch set uploaded (by Reedy):
Remove wfMsg*() methods

https://gerrit.wikimedia.org/r/262245

Change 262166 merged by Reedy:
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262166

Reedy added a comment.Jan 4 2016, 12:42 AM
reedy@ubuntu64-web-esxi:/var/www/wiki/mediawiki/extensions$ ack-grep --php "wfMsg*" | grep -v wfMsgReplaceArgs
DynamicPageList/DPL.php:1513:	 * This is meant to be equivalent to wfMsgExt() with parse, parsemag and
Maps/includes/parserhooks/Maps_MapsDoc.php:109:		return wfMsgReal( $key, $args, true, $this->language );
Maps/includes/parserhooks/Maps_LayerDefinition.php:349:			//$out .= $this->errorbox( wfMsgHtml( 'maps-error-invalid-layerdef' ) . $warnings );
Maps/includes/criteria/CriterionMapLayer.php:64:		return wfMsgExt( 'validation-error-invalid-layer', 'parsemag', $parameter->getOriginalName() );
Maps/includes/criteria/CriterionMapLayer.php:71:		return wfMsgExt( 'validation-error-invalid-layers', 'parsemag', $parameter->getOriginalName() );
Maps/includes/criteria/CriterionIsNonNumeric.php:36:		return wfMsgExt( 'validation-error-no-non-numeric', 'parsemag', $parameter->getOriginalName() );
Maps/includes/criteria/CriterionIsNonNumeric.php:44:		return wfMsgExt( 'validation-error-no-non-numerics', 'parsemag', $parameter->getOriginalName() );
SolrStore/SpecialSolrSearch.php:166:						. wfMsg( 'search-suggest', $suggestLink )
SemanticPageSeries/includes/SPSPageCreationJob.php:59:				$result = wfMsg( 'sf_autoedit_success', $options['target'], $options['form'] );
SemanticPageSeries/includes/SPSPageCreationJob.php:68:				$result = wfMsg( 'sf_autoedit_success', $options['target'], $options['form'] );
TemplateData/tests/TemplateDataBlobTest.php:522:		// Based on wfMsgExt/parseinline
reedy@ubuntu64-web-esxi:/var/www/wiki/mediawiki/extensions$
MtDu added a comment.Jan 4 2016, 1:18 AM

I'll finish them up. :)

Kghbln added a comment.EditedJan 4 2016, 1:28 AM

@MtDu Maps was already done and will be merged via it's GitHub repo which is then synced into this repo here.

Apart from this. Wow, this was really a tour de force what has been done during the past days. Great and thanks! Now all the extensions not in WMF repo need to be worked on. This will be a time consuming process until all the developers have done this. Keeping fingers crossed.

Change 262251 had a related patch set uploaded (by MtDu):
Replace deprecated wfMsg* functions

https://gerrit.wikimedia.org/r/262251

MtDu added a comment.Jan 4 2016, 1:34 AM

Oh no. I'm too late! Should I abandon the change?

Change 262252 had a related patch set uploaded (by MtDu):
Replace deprecated wfMsg* functions

https://gerrit.wikimedia.org/r/262252

Change 262253 had a related patch set uploaded (by MtDu):
Replace deprecated wfMsg* functions

https://gerrit.wikimedia.org/r/262253

Change 262254 had a related patch set uploaded (by MtDu):
Replace deprecated wfMsg* functions

https://gerrit.wikimedia.org/r/262254

Change 262254 merged by jenkins-bot:
Replace deprecated wfMsg* functions

https://gerrit.wikimedia.org/r/262254

Change 262331 had a related patch set uploaded (by Florianschmidtwelzow):
Replace remaining wfMsg* calls

https://gerrit.wikimedia.org/r/262331

Change 262332 had a related patch set uploaded (by Florianschmidtwelzow):
Replace wfMsg* calls

https://gerrit.wikimedia.org/r/262332

DynamicPageList/DPL.php:1513: * This is meant to be equivalent to wfMsgExt() with parse, parsemag and

-> comment only

Maps/includes/parserhooks/Maps_MapsDoc.php:109: return wfMsgReal( $key, $args, true, $this->language );
Maps/includes/parserhooks/Maps_LayerDefinition.php:349: //$out .= $this->errorbox( wfMsgHtml( 'maps-error-invalid-layerdef' ) . $warnings );
Maps/includes/criteria/CriterionMapLayer.php:64: return wfMsgExt( 'validation-error-invalid-layer', 'parsemag', $parameter->getOriginalName() );
Maps/includes/criteria/CriterionMapLayer.php:71: return wfMsgExt( 'validation-error-invalid-layers', 'parsemag', $parameter->getOriginalName() );
Maps/includes/criteria/CriterionIsNonNumeric.php:36: return wfMsgExt( 'validation-error-no-non-numeric', 'parsemag', $parameter->getOriginalName() );
Maps/includes/criteria/CriterionIsNonNumeric.php:44: return wfMsgExt( 'validation-error-no-non-numerics', 'parsemag', $parameter->getOriginalName() );

-> Maps is done on github.com

SolrStore/SpecialSolrSearch.php:166: . wfMsg( 'search-suggest', $suggestLink )

-> done

SemanticPageSeries/includes/SPSPageCreationJob.php:59: $result = wfMsg( 'sf_autoedit_success', $options['target'], $options['form'] );
SemanticPageSeries/includes/SPSPageCreationJob.php:68: $result = wfMsg( 'sf_autoedit_success', $options['target'], $options['form'] );

-> done

TemplateData/tests/TemplateDataBlobTest.php:522: // Based on wfMsgExt/parseinline

-> comment only

Ok, that seems great! :D

Change 262333 had a related patch set uploaded (by Florianschmidtwelzow):
Finnally: wfMsg*() was removed

https://gerrit.wikimedia.org/r/262333

Change 262251 abandoned by Florianschmidtwelzow:
Replace deprecated wfMsg* functions

Reason:
The change should be done at github.com (like the repo owner said on my change, btw, @repo owner: It would be great, if you could make this repo read only? ;)). Look at:
https://github.com/JeroenDeDauw/Maps/pull/100

https://gerrit.wikimedia.org/r/262251

Reedy added a comment.Jan 4 2016, 9:01 AM

Apart from this. Wow, this was really a tour de force what has been done during the past days. Great and thanks! Now all the extensions not in WMF repo need to be worked on. This will be a time consuming process until all the developers have done this. Keeping fingers crossed.

Have you seen everything else that we've removed that were deprecated and long overdue? ;)

Great indeed. :) I've unpublished the tasks from GCI, I only left https://codein.withgoogle.com/tasks/4730965020639232/ open for MtDu to claim the work he already did.

Kghbln added a comment.Jan 4 2016, 2:00 PM

-> Maps is done on github.com

-> Done @MtDu Sorry for not being faster in informing you. Still your effort is much appreciated.

@Reedy There are heaps of extensions on e.g. GitHub or on mw.o with code on the wikipage which are not mentioned here. Some of the developers I will contact to make them aware of this though I can only cover what I am actually using myself. I guess this will start to pop up in June this year as soon as wfMsg* were removed which is 1.27+ I think.

Reedy added a comment.Jan 4 2016, 3:31 PM

@Reedy There are heaps of extensions on e.g. GitHub or on mw.o with code on the wikipage which are not mentioned here. Some of the developers I will contact to make them aware of this though I can only cover what I am actually using myself. I guess this will start to pop up in June this year as soon as wfMsg* were removed which is 1.27+ I think.

Thanks.

I honestly don't know what to do at this point. It's a grey area. Focusing on < 1.20 stuff, which was released November 2012, there's a lot of deprecated stuff still around. And much of it was 1.18 deprecations, which was November 2011

It's probably worth a couple of mailing list posts to soon that this lot have gone, and as such will be in 1.27 etc

I started blitzing these as they were just overdue. And it was a lot of work in dev and review alone

Most of the conversions are easy, and straightforward. The wfMsg*() ones aren't bad, just somewhat time consuming to do

For extensions outside WMF gerrit: I think we can send (and I've planned this, already) a notification to wikitech-l (and probably other ones, too?). Like @Reedy said: It's very time consuming to do these changes with very limited resourcces. And again, this functions are deprecated since MediaWiki 1.18, so there was (at least in my point of view) a lot of time to change the existing code to use the new message functions :/

Kghbln added a comment.Jan 4 2016, 5:21 PM

+ 2 :) Reality can be frustrating sometimes ;)

Change 262252 merged by jenkins-bot:
Replace deprecated wfMsg* functions

https://gerrit.wikimedia.org/r/262252

Change 262331 abandoned by Florianschmidtwelzow:
Replace remaining wfMsg* calls

Reason:
MtDu already did it: I47d688540e2b88e43d9eaf91fdb7ee1522f7e835

https://gerrit.wikimedia.org/r/262331

Change 262245 abandoned by Reedy:
Remove wfMsg*() methods

Reason:
In favor of https://gerrit.wikimedia.org/r/#/c/262333/

https://gerrit.wikimedia.org/r/262245

Change 262253 merged by jenkins-bot:
Replace deprecated wfMsg* functions

https://gerrit.wikimedia.org/r/262253

ashley removed a subscriber: ashley.
Nemo_bis updated the task description. (Show Details)Jan 5 2016, 11:47 AM

Change 262332 abandoned by Reedy:
Replace wfMsg* calls

Reason:
Seems it's now a nooop!

https://gerrit.wikimedia.org/r/262332

Change 262333 merged by jenkins-bot:
Finally: wfMsg*() was removed

https://gerrit.wikimedia.org/r/262333

Mlawnik removed a subscriber: Mlawnik.Jan 5 2016, 11:29 PM
TTO awarded a token.Jan 6 2016, 2:06 PM
bd808 added a subscriber: bd808.Jan 6 2016, 4:36 PM

My thanks and appreciation to everyone who helped this effort. Cleaning up code usage is not generally a fun or glamorous task but it really does help improve the long term maintainability of our projects.

krenair@tin:/srv/mediawiki-staging/php-1.27.0-wmf.10 (wmf/1.27.0-wmf.10)$ grep wfMsg extensions/* -R | wc -l
62

Calls to wfMsgExt, wfMsgReplaceArgs, wfMsgForContent, wfMsg, and wfMsgReal are still in production

MtDu added a comment.Jan 13 2016, 11:05 PM

Could you provide a list of extensions?
Thanks,
MtDu

1.8.x branches:

  • SemanticMediaWiki
  • Validator

And also a few wfMsg calls in SemanticResultFormats

Just wfMsgReplaceArgs:

  • LiquidThreads
  • MapSources

Change 264022 had a related patch set uploaded (by Alex Monk):
Replace some wfMsg* calls

https://gerrit.wikimedia.org/r/264022

wfMsgReplaceArgs isn't deprecated, nor is it removed

Change 264022 abandoned by Alex Monk:
Replace some wfMsg* calls

Reason:
meh... we should just undeploy this extension

https://gerrit.wikimedia.org/r/264022

Change 183473 abandoned by PranavK:
Upgrade from deprecated wfMsg functions

Reason:
All other usages removed

https://gerrit.wikimedia.org/r/183473

Change 185551 abandoned by Georggi199:
Replaced some deprecated wfMsg*() functions

Reason:
All usages were removed in another commit

https://gerrit.wikimedia.org/r/185551

Change 182473 abandoned by Georggi199:
Replaced some deprecated wfMsg*() functions

Reason:
All usages were removed in other commits

https://gerrit.wikimedia.org/r/182473

@Krenair: I couldn't find any usages in the extensions you mentioned :/

@Krenair: I couldn't find any usages in the extensions you mentioned :/

It's in the branches we use for WMF deployment on wikitech

https://github.com/wikimedia/mediawiki-tools-release/blob/master/make-wmf-branch/config.json#L172-L174

Change 178864 abandoned by Hashar:
Replace some of deprecated WfMsg and friends

Reason:
This repository has migrated to GitHub and a similar patch has been done there https://github.com/mediawiki4intranet/Wikilog/commit/57d77030af4d158e55cc1f1a55d894c68e8606e8

The repository is being archive in Gerrit via T154443

https://gerrit.wikimedia.org/r/178864

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptFri, Jun 16, 11:17 AM